%define upstream_name    HTTP-Server-Simple
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to write simple standalone http daemons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Socket) >= 1.940.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is a simple standalone http dameon. It doesn't thread. It doesn't
fork. It does, however, act as a simple frontend which can turn a CGI into a
standalone web-based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE ex
%{perl_vendorlib}/HTTP
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.520.0-3.mga8
+ Revision: 1504707
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.520.0-2.mga7
+ Revision: 1284070
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.520.0-1.mga7
+ Revision: 1128674
- update to 0.52

* Sun Jun 19 2016 pterjan <pterjan> 0.510.0-3.mga6
+ Revision: 1028448
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.510.0-2.mga6
+ Revision: 970009
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.510.0-1.mga6
+ Revision: 884634
- update to 0.51

* Mon Jun 29 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 848111
- update to 0.50

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-5.mga5
+ Revision: 742396
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 685014
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.440.0-3.mga4
+ Revision: 512120
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-2.mga3
+ Revision: 368331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 81808
- update to 0.44

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 30527
- mageia rebuild
- imported package perl-HTTP-Server-Simple


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2011.0
+ Revision: 552320
- update to 0.43

* Fri Feb 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.1
+ Revision: 508050
- update to 0.42

* Wed Sep 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2010.0
+ Revision: 451155
- update to 0.41

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.0
+ Revision: 418129
- update to 0.40

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 406063
- rebuild using %%perl_convert_version

* Mon Jan 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.1
+ Revision: 328529
- update to new version 0.38

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2009.1
+ Revision: 324504
- update to new version 0.37

* Tue Nov 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2009.1
+ Revision: 306763
- update to new version 0.36

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.1
+ Revision: 292167
- update to new version 0.35

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 218341
- update to new version 0.34
- update to new version 0.33

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.0
+ Revision: 193847
- update to new version 0.31

* Sat Feb 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.1
+ Revision: 169259
- update to new version 0.29

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2008.1
+ Revision: 153979
- update to new version 0.28

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.27-1mdv2008.0
+ Revision: 19960
- fix missing BuildRequires
- update to 0.27


* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2007.0
- New version 0.20
- cleanup

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Wed Feb 01 2006 Michael Scherer <misc@mandriva.org> 0.17-1mdk
- New release 0.17

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.16-2mdk
- Do not ship empty dir

* Tue Nov 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-2mdk
- Fix BuildRequires

* Sat Oct 08 2005 Michael Scherer <misc@mandriva.org> 0.15-1mdk
- New release 0.15

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.13-1mdk
- First mandriva package

